Mail archive
alpine-aports

[alpine-aports] [PATCH] main/less: upgrade to 487

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 30 Mar 2017 15:40:07 +0300

move rarely used utils (lessecho, lesskey) to subpackage
---
 main/less/APKBUILD | 27 +++++++++++++--------------
 1 file changed, 13 insertions(+), 14 deletions(-)
diff --git a/main/less/APKBUILD b/main/less/APKBUILD
index 726690d058..58a38ff867 100644
--- a/main/less/APKBUILD
+++ b/main/less/APKBUILD
_at_@ -1,8 +1,8 @@
 # Contributor: Cameron Banta <cbanta_at_gmail.com>
 # Maintainer: Cameron Banta <cbanta_at_gmail.com>
 pkgname=less
-pkgver=481
-pkgrel=2
+pkgver=487
+pkgrel=0
 pkgdesc="File pager"
 url="http://www.greenwoodsoftware.com/less/"
 arch="all"
_at_@ -10,17 +10,12 @@ license="GPL"
 depends=""
 makedepends="ncurses-dev"
 install=""
-subpackages="$pkgname-doc"
+subpackages="$pkgname-doc $pkgname-utils"
 source="http://www.greenwoodsoftware.com/$pkgname/$pkgname-$pkgver.tar.gz"
-
-
-prepare() {
-	cd "$srcdir/$pkgname-$pkgver"
-	chmod +x configure
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$srcdir/$pkgname-$pkgver"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -33,10 +28,14 @@ build() {
 }
 
 package() {
-	cd "$srcdir/$pkgname-$pkgver"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install
 }
 
-md5sums="50ef46065c65257141a7340123527767  less-481.tar.gz"
-sha256sums="3fa38f2cf5e9e040bb44fffaa6c76a84506e379e47f5a04686ab78102090dda5  less-481.tar.gz"
-sha512sums="29995757ac416ed6770cf6e82e6fe325bd1d61d51666d80c4fe72b2b4217b0b1d706d337d89ed54bdc4d83d57f3e2c0166e642b20ef2ad194e52aad630b3e717  less-481.tar.gz"
+utils() {
+	pkgdesc="$pkgdesc (utilities: lessecho, lesskey)"
+	mkdir -p "$subpkgdir"/usr/bin || return 1
+	mv "$pkgdir"/usr/bin/less?* "$subpkgdir"/usr/bin
+}
+
+sha512sums="d31274fdada570fbc6706d7c52637d1accbd18ce947ec062e10b1624c251a8533c6638bc3a1d89d3c70a0c7b9c6d45740598bec9003f281d64c587b1f829125a  less-487.tar.gz"
-- 
2.12.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 30 2017 - 15:40:07 GMT